diff --git a/src/password-store.sh b/src/password-store.sh
index e6876b2..7959818 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -184,6 +184,7 @@ tmpdir() {
 }
 GETOPT="getopt"
 SHRED="shred -f -z"
+GREP_TYPE=gnu
 
 source "$(dirname "$0")/platform/$(uname | cut -d _ -f 1 | tr '[:upper:]' '[:lower:]').sh" 2>/dev/null # PLATFORM_FUNCTION_FILE
 
@@ -339,14 +340,19 @@ cmd_find() {
 
 cmd_grep() {
 	[[ $# -eq 0 ]] && die "Usage: $PROGRAM $COMMAND [grep options] search-string"
-	local passfile label
+	local passfile label options
 	while read -r -d "" passfile; do
 		label="${passfile%.gpg}"
 		label="${label#"$PREFIX"}"
 		label="${label#/}"
+		if [[ $GREP_TYPE = gnu ]]; then
+			options=( --color=auto --label="$label" -H )
+		else
+			options=( )
+		fi
 		# The user supplied options come after our defaults so that
 		# they can override the defaults.
-		$GPG -d "${GPG_OPTS[@]}" "$passfile" | grep --color=auto --label="$label" -H "$@"
+		$GPG -d "${GPG_OPTS[@]}" "$passfile" | grep "${options[@]}" "$@"
 	done < <(find -L "$PREFIX" -iname '*.gpg' -print0)
 }
 
